<?php

/* ADMIN */

if( class_exists( 'CSF' ) ) {

  $prefix = 'ppx_options';

  CSF::createOptions( $prefix, array(
    'framework_title' => esc_html__( 'Pixel Perfect Themes', 'messagebox' ),
    'footer_text' => esc_html__( 'Pixel Perfect Themes', 'messagebox' ),
    'ajax_save' => false,
    'menu_title' => esc_html__( 'Pixel Plugins', 'messagebox' ),
    'menu_slug'  => 'pixel-plugins',
  ) );

  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Message Box Options', 'messagebox' ),
    'fields' => array(

        array(
          'id'    => 'ppx_message_box_status',
          'type'  => 'switcher',
          'title' => esc_html__( 'Message Box Status', 'messagebox' ),
        ),

        array(
          'id'          => 'ppx_message_position',
          'subtitle' => esc_html__( 'Some fields may not function properly due to your theme.', 'messagebox' ),
          'type'        => 'select',
          'title'       => esc_html__( 'Select A Position', 'messagebox' ),
          'chosen'      => true,
          'placeholder' => esc_html__( 'Select A Position', 'messagebox' ),
          'options'     => array(
            '1'  => esc_html__( 'Before Single Product', 'messagebox' ),
            '2'  => esc_html__( 'Before Single Product Summary', 'messagebox' ),
            '3'  => esc_html__( 'Single Product Summary', 'messagebox' ),
            '4'  => esc_html__( 'Before Add To Cart Form', 'messagebox' ),
            '5'  => esc_html__( 'Before Variations Form', 'messagebox' ),
            '6'  => esc_html__( 'Before Add To Cart Button', 'messagebox' ),
            '7'  => esc_html__( 'Before Single Variation', 'messagebox' ),
            '8'  => esc_html__( 'Before Variation', 'messagebox' ),
            '9'  => esc_html__( 'Before Add To Cart Quantity', 'messagebox' ),
            '10' => esc_html__( 'After Add To Cart Quantity', 'messagebox' ),
            '11' => esc_html__( 'After Single Variation', 'messagebox' ),
            '12' => esc_html__( 'After Add To Cart Button', 'messagebox' ),
            '13' => esc_html__( 'After Variations Form', 'messagebox' ),
            '14' => esc_html__( 'After Add To Cart Form', 'messagebox' ),
            '15' => esc_html__( 'Product Meta Start', 'messagebox' ),
            '16' => esc_html__( 'Product Meta End', 'messagebox' ),
            '17' => esc_html__( 'Product Share', 'messagebox' ),
            '18' => esc_html__( 'After Single Product Summary', 'messagebox' ),
            '19' => esc_html__( 'Product Thumbnails', 'messagebox' ),
            '20' => esc_html__( 'After Single Product', 'messagebox' ),
            
          ),
          'default'     => '1'
        ),

        array(
          'id'    => 'ppx_message_box_bg_color',
          'type'  => 'color',
          'title' => esc_html__( 'Message Box Background Color', 'messagebox' ),
          'default' => '#f5f5f5',
        ),

        array(
          'id'    => 'ppx_message_box_title_color',
          'type'  => 'color',
          'title' => esc_html__( 'Message Box Title Color', 'messagebox' ),
          'default' => '#000000',
        ),

        array(
          'id'    => 'ppx_message_box_title_size',
          'type'  => 'number',
          'title' => esc_html__( 'Message Box Title Font Size (PX)', 'messagebox' ),
          'default' => '16',
          'min' => 0,
        ),

    )
  ) );

}


