<?php 

$options = get_option( 'ppx_options' );

$position           = $options['ppx_message_position'];
$box_bg             = $options['ppx_message_box_bg_color'];
$box_title_color    = $options['ppx_message_box_title_color'];
$box_title_size     = $options['ppx_message_box_title_size'];



if ( $position == 1 ) {
    $position = 'woocommerce_before_single_product';
} elseif ( $position == 2 ) {
    $position = 'woocommerce_before_single_product_summary';
} elseif ( $position == 3 ) {
    $position = 'woocommerce_single_product_summary';
} elseif ( $position == 4 ) {
    $position = 'woocommerce_before_add_to_cart_form';
} elseif ( $position == 5 ) {
    $position = 'woocommerce_before_variations_form';
} elseif ( $position == 6 ) {
    $position = 'woocommerce_before_add_to_cart_button';
} elseif ( $position == 7 ) {
    $position = 'woocommerce_before_single_variation';
} elseif ( $position == 8 ) {
    $position = 'woocommerce_single_variation';
} elseif ( $position == 9 ) {
    $position = 'woocommerce_before_add_to_cart_quantity';
} elseif ( $position == 10 ) {
    $position = 'woocommerce_after_add_to_cart_quantity';
} elseif ( $position == 11 ) {
    $position = 'woocommerce_after_single_variation';
} elseif ( $position == 12 ) {
    $position = 'woocommerce_after_add_to_cart_button';
} elseif ( $position == 13 ) {
    $position = 'woocommerce_after_variations_form';
} elseif ( $position == 14 ) {
    $position = 'woocommerce_after_add_to_cart_form';
} elseif ( $position == 15 ) {
    $position = 'woocommerce_product_meta_start';
} elseif ( $position == 16 ) {
    $position = 'woocommerce_product_meta_end';
} elseif ( $position == 17 ) {
    $position = 'woocommerce_share';
} elseif ( $position == 18 ) {
    $position = 'woocommerce_after_single_product_summary';
} elseif ( $position == 19 ) {
    $position = 'woocommerce_product_thumbnails';
} elseif ( $position == 20 ) {
    $position = 'woocommerce_after_single_product';
} else {
    $position = 'woocommerce_before_single_product';
}


add_action( $position, 'ppx_message_box_plugin_display_custom_input', 25 );
function ppx_message_box_plugin_display_custom_input() {

    $options    = get_option( 'ppx_options' );
    $meta       = get_post_meta( get_the_ID(), 'ppx_plugin_options', true );


    $message_status = $options['ppx_message_box_status'];
    $message        = $meta['ppx_message'];
    $title          = $meta['ppx_title'];


    if ( $message_status == 1 && !empty( $title ) || !empty( $message ) ) {
        echo '<div class="message-box">';
        if ( $title ) {
            echo '<div class="message-box-title-wrapper">';
                echo '<div class="message-box-title">' . $title . '</div>';
            echo '</div>';
        }
        if ( $message ) {
            echo '<div class="message-box-bar-inner">' . $message . '</div>';
        } 
        echo '</div>';
    }
}


$ppx_custom_css = '';

if ( $box_bg != '#f5f5f5' ) {
    $ppx_custom_css .= '.message-box { background-color: ' . $box_bg . ' !important; }';
}

if ( $box_title_color != '#000000' ) {
    $ppx_custom_css .= '.message-box-title { color: ' . $box_title_color . ' !important; }';
}        
 
if ( $box_title_size != '16' ) {
    $ppx_custom_css .= '.message-box-title { font-size: ' . $box_title_size . 'px !important; }';
}                

if ( ! empty( $ppx_custom_css ) ) {
    echo '<style>' . $ppx_custom_css . '</style>';
}